<?php
namespace Models;

// Модель Категорий товаров
class Productcategories extends \DB\SQL\Mapper {
	public $db, $f3;

	public function __construct($db, $f3) {
		parent::__construct($db, 'productcategories' ); // подключаемся к таблице категорий товаров
		$this->db=$db;
		$this->f3=$f3;
	}

	// Выбор из базы
	function select_productcategories($query=null, $options=null) {
		// Ищем только не удаленные категории
		if(is_array($query)) {
			$query[0]='('.$query[0].') AND date_delete=0';
		}
		else {
			$query[0]='date_delete=0';
		}
		$this->reset();
		$this->load($query, $options);
		$categories=array();
		if(!$this->dry()) {
			do {
				$categories[]=$this->cast();
			}
			while ($this->skip());
		}
		return $categories;
	}
}
